DataDictionary (PMII - Principia Mathematica II)
Keywords: com.meyling.principia.io.DataDictionary class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.meyling.principia.io
Class DataDictionary

    java.lang.Object
      com.meyling.principia.io.DataDictionary

public class DataDictionary
extends Object

This class reads entries from property files and gives typed get and set methods.

Version:
  $Revision: 1.2 $
Author:
  Michael Meyling

Method Summary
`static DataDictionary` | `getInstance()` Get instance of config access.
`char` | `getMnemonic(String key)` Returns a mnemonic from the resource bundle.
`ResourceBundle` | `getResourceBundle()` Returns the resource bundle associated with this application.
`String` | `getString(String key)` This method returns a string from the resource bundle.
`static void` | `init(String baseName)` Set resource name for this context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static final DataDictionary getInstance()
                                            throws IllegalStateException

  Get instance of config access. Method `#setup` must have been called before.

  Returns:
    singleton, which is responsible the config access
  Throws:
    `IllegalStateException` - if `#setup` wasn't called before this method call

### init

    public static final void init(String baseName)
                           throws IOException

  Set resource name for this context. Must be called at first. Couldn't be called again.

  Parameters:
    `baseName` - name of resource file
  Throws:
    `IllegalStateException` - `#setup` was called once before
    `IOException`

### getString

    public String getString(String key)

  This method returns a string from the resource bundle.

### getResourceBundle

    public final ResourceBundle getResourceBundle()

  Returns the resource bundle associated with this application.

  Returns:
    resource bundle

### getMnemonic

    public final char getMnemonic(String key)

  Returns a mnemonic from the resource bundle. Typically used as keyboard shortcuts in menu items.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

©left GNU General Public Licence All Rights Reserved.